%define libname %mklibname %{name} 2

Name:		bzflag
Summary:	A multiplayer 3D tank battle game
Version:	2.4.20
Release:	%mkrel 1
Source0:	https://download.bzflag.org/bzflag/source/%{version}/%{name}-%{version}.tar.xz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://bzflag.org
License:	LGPLv2
Group:		Games/Arcade

BuildRequires: lib64cares-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64glew-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64ncurses-devel
BuildRequires: lib64sdl2.0-devel
BuildRequires: lib64SDL-devel
BuildRequires: lib64x11-devel 
BuildRequires: lib64xxf86vm-devel 
BuildRequires: mesa-devel

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q


%build
# We need to install the plugins under %{_libdir}/%{name} so they won't get
# in the way.
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots --libdir=%{_libdir}/%{name}
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' | xargs rm

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Thu May 07 2020 tex - 2.4.20-1pclos2020
- new version

* Fri Jun 21 2019 tex - 2.4.18-1pclos2019
- new version

* Fri Mar 30 2018 bb2 <bb2> - 2.4.12-1pclos2018
- new version
